CREATE TABLE cmp_gsp_person_info (
    GSP_PERSON_INFO_ID             NUMBER(18, 0) ,
    ADJUSTED_FTE_FLAG              VARCHAR2(120) ,
    PERSON_NUMBER                  VARCHAR2(200) ,
    CURRENT_COMP_AMOUNT            NUMBER        ,
    CURRENT_ANNUAL_COMP_AMOUNT     NUMBER        ,
    CURRENT_AFT_COMP_AMOUNT        NUMBER        ,
    CURRENT_FT_COMP_AMOUNT         NUMBER        ,
    SALARY_BASIS_TYPE              VARCHAR2(120) ,
    EFFECTIVE_DATE                 DATE          ,
    PERSON_ID                      NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)     NOT NULL,
    ASG_EFFECTIVE_START_DATE       DATE          ,
    ASSIGNMENT_OVN                 NUMBER(9, 0)  ,
    ASSIGNMENT_SEQ                 NUMBER(9, 0)  ,
    ASSIGNMENT_NUMBER              VARCHAR2(200) ,
    ASSIGN_GRADE_STEP_ID           NUMBER(18, 0) ,
    STEP_EFFECTIVE_START_DATE      DATE          ,
    ASSIGN_STEP_OVN                NUMBER(9, 0)  ,
    GRADE_LADDER_ID                NUMBER(18, 0) ,
    GRADE_ID                       NUMBER(18, 0) ,
    STEP_ID                        NUMBER(18, 0) ,
    ASG_ACTION_ID                  NUMBER(18, 0) ,
    ASG_ACTION_REASON_ID           NUMBER(18, 0) ,
    ASG_ACTION_OCCURRENCE_ID       NUMBER(18, 0) ,
    ASG_ACTION_CODE                VARCHAR2(120) ,
    ASG_ACTION_REASON_CODE         VARCHAR2(120) ,
    SALARY_ID                      NUMBER(18, 0) ,
    SAL_DATE_FROM                  DATE          ,
    SALARY_OVN                     NUMBER(9, 0)  ,
    SALARY_BASIS_ID                NUMBER(18, 0) ,
    SALARY_BASIS_NAME              VARCHAR2(320) ,
    SAL_ACTION_OCCURRENCE_ID       NUMBER(18, 0) ,
    SAL_ACTION_ID                  NUMBER(18, 0) ,
    SAL_ACTION_REASON_ID           NUMBER(18, 0) ,
    SAL_ACTION_CODE                VARCHAR2(120) ,
    SAL_ACTION_REASON_CODE         VARCHAR2(120) ,
    PROPOSED_PROGRESSION_DATE      DATE          ,
    OVERRIDE_PROGRESSION_DATE      DATE          ,
    UPDATE_SALARY_FLAG             VARCHAR2(4)   ,
    PROPOSED_SALARY_CHANGE_DATE    DATE          ,
    OVERRIDE_SALARY_CHANGE_DATE    DATE          ,
    ELIGIBLE_FLAG                  VARCHAR2(4)   ,
    ERROR_CODE                     VARCHAR2(120) ,
    ERROR_TYPE                     VARCHAR2(120) ,
    APPROVAL_CODE                  VARCHAR2(120) ,
    APPROVAL_DATE                  DATE          ,
    APPROVAL_COMMENTS              CLOB          ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    PROCESS_CODE                   VARCHAR2(120) ,
    PAYROLL_ID                     NUMBER(18, 0) ,
    PAYROLL_NAME                   VARCHAR2(320) ,
    ASG_EFFECTIVE_END_DATE         DATE          ,
    CUR_ASG_ACTION_ID              NUMBER(18, 0) ,
    CUR_ASG_ACTION_REASON_ID       NUMBER(18, 0) ,
    SALARY_ROUNDING_CODE           VARCHAR2(120) ,
    SALARY_PRECISION_SCALE         NUMBER(3, 0)  ,
    SALARY_BASIS_CODE              VARCHAR2(320) ,
    FTE                            NUMBER        ,
    FTE_CALCULATED_FLAG            VARCHAR2(4)   ,
    CUR_SAL_ANNUAL_AMOUNT          NUMBER        ,
    CUR_SAL_AMOUNT                 NUMBER        ,
    CUR_SAL_AFT_AMOUNT             NUMBER        ,
    CUR_SAL_FT_AMOUNT              NUMBER        ,
    CUR_SAL_ACTION_ID              NUMBER(18, 0) ,
    CUR_SAL_ACTION_REASON_ID       NUMBER(18, 0) ,
    SALARY_ANNUAL_FACTOR           NUMBER        ,
    SALARY_CURRENCY                VARCHAR2(120) ,
    SALARY_UPDATE_MODE_CODE        VARCHAR2(120) ,
    SALARY_DATE_TO                 DATE          ,
    SALARY_BASIS_RATE_ID           NUMBER(18, 0) ,
    AUTO_PROGRESSION_CODE          VARCHAR2(120) ,
    APPR_DATE_VALIDATE_FLAG        VARCHAR2(4)   ,
    GSP_PERSON_INFO_ID             NUMBER(18, 0) ,
    EFFECTIVE_DATE                 DATE          ,
    PERSON_ID                      NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)     NOT NULL,
    ASG_EFFECTIVE_START_DATE       DATE          ,
    ASSIGNMENT_OVN                 NUMBER(9, 0)  ,
    ASSIGNMENT_SEQ                 NUMBER(9, 0)  ,
    ASSIGNMENT_NUMBER              VARCHAR2(200) ,
    ASSIGN_GRADE_STEP_ID           NUMBER(18, 0) ,
    STEP_EFFECTIVE_START_DATE      DATE          ,
    ASSIGN_STEP_OVN                NUMBER(9, 0)  ,
    GRADE_LADDER_ID                NUMBER(18, 0) ,
    GRADE_ID                       NUMBER(18, 0) ,
    STEP_ID                        NUMBER(18, 0) ,
    ASG_ACTION_ID                  NUMBER(18, 0) ,
    ASG_ACTION_REASON_ID           NUMBER(18, 0) ,
    ASG_ACTION_OCCURRENCE_ID       NUMBER(18, 0) ,
    ASG_ACTION_CODE                VARCHAR2(120) ,
    ASG_ACTION_REASON_CODE         VARCHAR2(120) ,
    SALARY_ID                      NUMBER(18, 0) ,
    SAL_DATE_FROM                  DATE          ,
    SALARY_OVN                     NUMBER(9, 0)  ,
    SALARY_BASIS_ID                NUMBER(18, 0) ,
    SALARY_BASIS_NAME              VARCHAR2(320) ,
    SAL_ACTION_OCCURRENCE_ID       NUMBER(18, 0) ,
    SAL_ACTION_ID                  NUMBER(18, 0) ,
    SAL_ACTION_REASON_ID           NUMBER(18, 0) ,
    SAL_ACTION_CODE                VARCHAR2(120) ,
    SAL_ACTION_REASON_CODE         VARCHAR2(120) ,
    PROPOSED_PROGRESSION_DATE      DATE          ,
    OVERRIDE_PROGRESSION_DATE      DATE          ,
    UPDATE_SALARY_FLAG             VARCHAR2(4)   ,
    PROPOSED_SALARY_CHANGE_DATE    DATE          ,
    OVERRIDE_SALARY_CHANGE_DATE    DATE          ,
    ELIGIBLE_FLAG                  VARCHAR2(4)   ,
    ERROR_CODE                     VARCHAR2(120) ,
    ERROR_TYPE                     VARCHAR2(120) ,
    APPROVAL_CODE                  VARCHAR2(120) ,
    APPROVAL_DATE                  DATE          ,
    APPROVAL_COMMENTS              CLOB          ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    BUSINESS_GROUP_ID              NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    PROCESS_CODE                   VARCHAR2(120) ,
    PAYROLL_ID                     NUMBER(18, 0) ,
    PAYROLL_NAME                   VARCHAR2(320) ,
    ASG_EFFECTIVE_END_DATE         DATE          ,
    CUR_ASG_ACTION_ID              NUMBER(18, 0) ,
    CUR_ASG_ACTION_REASON_ID       NUMBER(18, 0) ,
    SALARY_ROUNDING_CODE           VARCHAR2(120) ,
    SALARY_PRECISION_SCALE         NUMBER(3, 0)  ,
    SALARY_BASIS_CODE              VARCHAR2(320) ,
    CUR_SAL_ANNUAL_AMOUNT          NUMBER        ,
    CUR_SAL_AMOUNT                 NUMBER        ,
    CUR_SAL_AFT_AMOUNT             NUMBER        ,
    CUR_SAL_ACTION_ID              NUMBER(18, 0) ,
    CUR_SAL_ACTION_REASON_ID       NUMBER(18, 0) ,
    SALARY_ANNUAL_FACTOR           NUMBER        ,
    SALARY_CURRENCY                VARCHAR2(120) ,
    SALARY_DATE_TO                 DATE          ,
    SALARY_BASIS_RATE_ID           NUMBER(18, 0) ,
    AUTO_PROGRESSION_CODE          VARCHAR2(120) ,
    FTE                            NUMBER        ,
    FTE_CALCULATED_FLAG            VARCHAR2(4)   ,
    CUR_SAL_FT_AMOUNT              NUMBER        ,
    SALARY_UPDATE_MODE_CODE        VARCHAR2(120) ,
    APPR_DATE_VALIDATE_FLAG        VARCHAR2(4)   ,
    CURRENT_COMP_AMOUNT            NUMBER        ,
    CURRENT_ANNUAL_COMP_AMOUNT     NUMBER        ,
    CURRENT_AFT_COMP_AMOUNT        NUMBER        ,
    CURRENT_FT_COMP_AMOUNT         NUMBER        ,
    SALARY_BASIS_TYPE              VARCHAR2(120) ,
    ADJUSTED_FTE_FLAG              VARCHAR2(120) ,
    PERSON_NUMBER                  VARCHAR2(200) ,
    CONSTRAINT pk_cmp_gsp_person_info PRIMARY KEY (GSP_PERSON_INFO_ID, GSP_PERSON_INFO_ID)
);
